You are not logged in.

  • Login
Bitte besucht unser neues Forum unter https://forum.nitrado.net | Please visit our new Forum at https://forum.nitrado.net

Dear visitor, welcome to Nitrado.net Prepaid Gameserver Community-Support - Archiv. If this is your first visit here, please read the Help. It explains in detail how this page works. To use all features of this page, you should consider registering. Please use the registration form, to register here or read more information about the registration process. If you are already registered, please login here.

Puubaer

User / Kunde

  • "Puubaer" started this thread

Posts: 16

  • Send private message

1

Sunday, June 24th 2012, 7:46am

Canarymod erkennt CuboidPlugin nicht (Minecraft)

Guten Tag,

Seid heute früh bin ich vom Linux-Home-Server auf Nitrado für Minecraft umgestiegen.
Die vorhandene Welt einzufügen war kein Problem, die Plugins "NicerChat" und "AntiHacks" funktionieren auch einwandfrei. Nur das CuboidPlugin macht irgendwie Ärger.
/listplugins spuckt nur die beiden oben genannten aus, von Cuboid keine Spur. Richtig in der Server.properties angegeben unter Plugins ist es, es müsste also eigentlich funktionieren? Sonst gibt es keine Probleme.

Die Server.log spuckt beim Starten folgendes:

2012-06-24 07:32:03 [SEVERE] Exception while loading plugin java.lang.
NoSuchMethodError: etc.getMCServer()LOMinecraftServer;
at CuboidPlugin.getWorldsList(CuboidPlugin.java:117)
at CuboidPlugin.onPluginReload(CuboidPlugin.java:302)
at CuboidPlugin.enable(CuboidPlugin.java:101)
at PluginLoader.load(PluginLoader.java:592)
at PluginLoader.loadPlugin(PluginLoader.java:534)
at PluginLoader.loadPlugins(PluginLoader.java:497)
at OChunkProviderServer.a(OChunkProviderServer.java:170)
at OWorld.a(OWorld.java:191) at OWorld.h(OWorld.java:1642)
at net.minecraft.server.MinecraftServer.w(SourceFile:426)
at net.minecraft.server.MinecraftServer.run(SourceFile:356)
at OThreadServerApplication.run(SourceFile:490)

(Hab die einfach mal mit angeben, villeicht wird daraus jemand schlau)


Kann mir da jemand helfen und mir erklären, was ich machen muss, damit es funktioniert?

Würde mich freuen,
liebe Grüße

prog266

Moderator im Ruhestand

Posts: 7,603

Thanks: 476

  • Send private message

2

Sunday, June 24th 2012, 10:41am

Laut der obigen Fehlermeldung denke ich, dass das Plugin veraltet ist, und nicht mehr funktioniert. Um das aber genau zu beurteilen zu können, brauchen wir deinen vollständigen Server Log (Beachte: Wie poste ich einen Server Log?).
Alternativ kannst du natürlich Bukkit benutzen, was meiner Meinung nach, auch viel besser ist. Aber das ist Ansichtssache.

Und bitte achte zukünftig auf die richtige Kategorie.

Gruß,
prog266


Puubaer

User / Kunde

  • "Puubaer" started this thread

Posts: 16

  • Send private message

3

Sunday, June 24th 2012, 5:28pm

Hey,

Dass das Plugin veraltet ist mag ich mal ausschließen, schließlich habe ich es hier auf meinem Rechner auf der Canary-Version von Freitag oder so laufen gehabt. Die B10.2-Version halt.

Was mir anders Gedanken bereitet: unter Canarymod Update steht:

1.2.4-b4.7.10

Aber spielen wir nicht auf der 1.2.5, die ebenfalls ein EIntrag weiter oben erhalten ist? Soll ich einfach Canary updaten?


Ich hänge nochmal die Server.log mit ran.

Liebe Grüße,


Sorry wenn es am Anfang in den falschen Bereich gelandet ist, irgendwie hab ich den Unterordner Minecraft gar nicht gesehen.


Großes Edit: Das Problem hat sich gelöst. Warum auch immer hatte der Nitradoserver also doch nicht die aktuellste Version von Canarymod installiert gehabt. Nun habe ich dort also auf 1.2.5 und der damit verbundenen v4.10.10 oder so geklickt und siehe da, es läuft.

Liebe Grüße und lieben Dank.
Puubaer has attached the following file:

This post has been edited 1 times, last edit by "Puubaer" (Jun 24th 2012, 6:34pm)


Bitte besucht unser neues Forum unter https://forum.nitrado.net| Please visit our new Forum at https://forum.nitrado.net